cancel
Showing results for 
Search instead for 
Did you mean: 

USB Superspeed Peripherals

Anonymous
Not applicable

I'm using archlinux x86_64.

Tried all available 32-bit java versions (5-8), but still cannot run ezUsbSuite to debug my fx3.

nick /mnt/garbage/cypress_fx3/FX3_SDK_Linux_v1.3.3/eclipse $ ./ezUsbSuite --vm /usr/lib32/jvm/java32-7-jdk/bin/

OpenJDK 64-Bit Server VM warning: You have loaded library /mnt/garbage/cypress_fx3/FX3_SDK_Linux_v1.3.3/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.1.200.v20140116-2212/eclipse_1508.so which might have disabled stack guard. The VM will try to fix the stack guard now.

It's highly recommended that you fix the library with 'execstack -c <libfile>', or link it with '-z noexecstack'.

EzUsbSuite:

JVM terminated. Exit code=13

/usr/bin/java

-jar /mnt/garbage/cypress_fx3/FX3_SDK_Linux_v1.3.3/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130327-1440.jar

-os linux

-ws gtk

-arch x86

-showsplash

-launcher /mnt/garbage/cypress_fx3/FX3_SDK_Linux_v1.3.3/eclipse/ezUsbSuite

-name EzUsbSuite

--launcher.library /mnt/garbage/cypress_fx3/FX3_SDK_Linux_v1.3.3/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.1.200.v20140116-2212/eclipse_1508.so

-startup /mnt/garbage/cypress_fx3/FX3_SDK_Linux_v1.3.3/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130327-1440.jar

--launcher.overrideVmargs

-exitdata 156802a

--vm /usr/lib32/jvm/java32-7-jdk/bin/

-vm /usr/bin/java

-vmargs

-jar /mnt/garbage/cypress_fx3/FX3_SDK_Linux_v1.3.3/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20130327-1440.jar

I've also tried to run "execstack -c .....", but no effect

0 Likes
1 Reply
Hemanth
Moderator
Moderator

Hi,

We have tested on Java version 1.6.0_41.

Can you try it on the same?

Regards,

Hemanth

Hemanth
0 Likes